import { Component, EventEmitter, Input, Output } from '@angular/core';
import { FormsModule } from '@angular/forms';

@Component({
  selector: 'app-emp-count',
  standalone: true,
  imports: [FormsModule],
  templateUrl: './emp-count.component.html',
  styleUrl: './emp-count.component.css'
})
export class EmpCountComponent {

  @Input()
  all:number=20;

  @Input()
  male:number=10;

  @Input()
  female:number=10;

  @Output()
  countRadioButtonSelectionChanged:EventEmitter<string>=new EventEmitter<string>();

  selectedRadioButtonValue:string='All';

  onRadioButtonChange(){
   // console.log("Your Selected Radio Button Value ===> ",this.selectedRadioButtonValue);
    this.countRadioButtonSelectionChanged.emit(this.selectedRadioButtonValue);
  }
}
